| Class Accumulator Accumulator base class.
Accumulator
Average Accumulator
Accumulator<TValue, TSpec> Include Headers seqan/misc/misc_accumulators.h Parameters
TValue | The type of the values to accumulate.
TSpec | The specialization tag.
Remarks Accumulators are for computing statistics on streams of values. Currently, this is only meant for accumulating integers. Specializations
Average Accumulator | Accumulator for computing averages.
Metafunctions
Result | Return the result of a computation.
Value | Type of the items in the container or behind an iterator.
Functions
clear | Resets an object.
push | Adds a value to an accumulator.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56